Autor Tema: error composer install guarani gestion 3.16.1  (Leído 372 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Sergio Espínola

  • Moderador Global
  • *****
  • Mensajes: 1100
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Sergio Espínola
  • Sistema: SIU-Guarani
Re:error composer install guarani gestion 3.16.1
« Respuesta #15 on: Abril 13, 2021, 10:47:35 am »
Hola

Mirando un poco el colab, vimos que por commit r31649 eliminaron el archivo composer.lock, y ese debe ser el problema. En el commit r48907 restauramos el composer.lock que corresponde a la versión.

Eliminen el archivo composer.lock, si es que se generó localmente, y luego actualicen con svn update para obtener el archivo original, luego vuelvan a correr el composer install (recomendamos actualizar la versión de compser, a la versión 1.x más actualizada).

Hicimos la prueba en un server, con el código fuente de su nodo, y con la versión de composer 1.10.8 y funcionó correctamente.

Quedamos a la espera.
Saludos
6

elucer

  • Sr. Member
  • ****
  • Mensajes: 321
    • Ver Perfil
  • Institución: Facultad de Farmacia y Bioquímica
  • Nombre y apellido: Esteban Lucero
  • Sistema: siu guarani3
  • Teléfono laboral: 49648276
Re:error composer install guarani gestion 3.16.1
« Respuesta #16 on: Abril 13, 2021, 02:39:08 pm »
Efectivamente era eso! gracias Sergio
Saludos

elucer

  • Sr. Member
  • ****
  • Mensajes: 321
    • Ver Perfil
  • Institución: Facultad de Farmacia y Bioquímica
  • Nombre y apellido: Esteban Lucero
  • Sistema: siu guarani3
  • Teléfono laboral: 49648276
Re:error composer install guarani gestion 3.16.1
« Respuesta #17 on: Abril 23, 2021, 09:09:51 am »
retomo este tema, cambie a un servidor ya no estoy en un virtual tengo todos los requisitos para instalar 3.16.1
y al hacer composer install me sale

Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
Warning: The lock file is not up to date with the latest changes in composer.json. You may be getting outdated dependencies. It is recommended that you run `composer update` or `composer update <package name>`.
Package operations: 91 installs, 0 updates, 0 removals

                                                                               
  [RuntimeException]                                                           
  /usr/local/proyectos/guarani/3.16.1/vendor/cakephp/collection does not exis 
  t and could not be created.                                                 
                                                                               

install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--] [<packages>]...
----------------------
ya  elimine todo y volvi a instalar nuevamente de 0 y sigo con este problemas
que puedo hacer ?
Saludos y disculpen por traer nuevamente este tema. en el virtual funciono con la solucion de sergio al querer replicar en un servidor dedicado ambiente de prueba
paso esto y lo realice varias veces
por lo que puedo ver el composer.lock que me baja es distinto al que me nombras en commit r48907  borre el composer.lock y hice un update y mi me baja la revision 49027
« Última Modificación: Abril 23, 2021, 10:45:16 am por elucer »

elucer

  • Sr. Member
  • ****
  • Mensajes: 321
    • Ver Perfil
  • Institución: Facultad de Farmacia y Bioquímica
  • Nombre y apellido: Esteban Lucero
  • Sistema: siu guarani3
  • Teléfono laboral: 49648276
Re:error composer install guarani gestion 3.16.1
« Respuesta #18 on: Abril 23, 2021, 10:49:49 am »
ya funciono volvi a borrar composer.lock y hice un update y ahora bajo todos los paquetes bien! no tengo idea porque ?
saludos

Sergio Espínola

  • Moderador Global
  • *****
  • Mensajes: 1100
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Sergio Espínola
  • Sistema: SIU-Guarani
Re:error composer install guarani gestion 3.16.1
« Respuesta #19 on: Abril 23, 2021, 02:48:10 pm »
Hola Esteban

El comando "composer update" actualiza el archivo composer.lock, tal vez por eso lo tenian modificado.

Saludos!